package com.ruoyi.project.sems.safecheck.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 每日安全检查对象 t_spec_dailycheck
 *
 * @author Li
 * @date 2023-08-17
 */
public class TSpecDailycheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    private String plants;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    @Excel(name = "确认状态", readConverterExp = "0=未确认,1=已确认")
    private Integer isConfirm;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    /** 安全员用户id */
    private Long checkerId;

    @Excel(name = "安全员用户")
    private String checkerName;

    /** 人员 */
    @Excel(name = "人员")
    private String cPerson;

    /** 设备本体 */
    @Excel(name = "设备本体")
    private String cDevice;

    /** 安全附件 */
    @Excel(name = "安全附件")
    private String cSafety;

    /** 环境 */
    private String cEnv;

    /** 政府 */
    @Excel(name = "政府")
    private String cGov;

    /** 投诉举报 */
    @Excel(name = "投诉举报")
    private String cComplaint;

    /** 舆情信息 */
    @Excel(name = "舆情信息")
    private String cOpinion;

    /** 其他 */
    @Excel(name = "其他")
    private String cOther;

    /** 说明 */
    @Excel(name = "说明")
    private String explain;

    /** 被代理人id */
    private Long agentId;

    /** 被代理人 */
    private String agentName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setCheckerId(Long checkerId)
    {
        this.checkerId = checkerId;
    }

    public Long getCheckerId()
    {
        return checkerId;
    }
    public void setcPerson(String cPerson)
    {
        this.cPerson = cPerson;
    }

    public String getcPerson()
    {
        return cPerson;
    }
    public void setcDevice(String cDevice)
    {
        this.cDevice = cDevice;
    }

    public String getcDevice()
    {
        return cDevice;
    }
    public void setcSafety(String cSafety)
    {
        this.cSafety = cSafety;
    }

    public String getcSafety()
    {
        return cSafety;
    }
    public void setcEnv(String cEnv)
    {
        this.cEnv = cEnv;
    }

    public String getcEnv()
    {
        return cEnv;
    }
    public void setcGov(String cGov)
    {
        this.cGov = cGov;
    }

    public String getcGov()
    {
        return cGov;
    }
    public void setcComplaint(String cComplaint)
    {
        this.cComplaint = cComplaint;
    }

    public String getcComplaint()
    {
        return cComplaint;
    }
    public void setcOpinion(String cOpinion)
    {
        this.cOpinion = cOpinion;
    }

    public String getcOpinion()
    {
        return cOpinion;
    }
    public void setcOther(String cOther)
    {
        this.cOther = cOther;
    }

    public String getcOther()
    {
        return cOther;
    }
    public void setExplain(String explain)
    {
        this.explain = explain;
    }

    public String getExplain()
    {
        return explain;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getIsConfirm() {
        return isConfirm;
    }

    public void setIsConfirm(Integer isConfirm) {
        this.isConfirm = isConfirm;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getPlants() {
        return plants;
    }

    public void setPlants(String plants) {
        this.plants = plants;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("checkDate", getCheckDate())
            .append("checkerId", getCheckerId())
            .append("cPerson", getcPerson())
            .append("cDevice", getcDevice())
            .append("cSafety", getcSafety())
            .append("cEnv", getcEnv())
            .append("cGov", getcGov())
            .append("cComplaint", getcComplaint())
            .append("cOpinion", getcOpinion())
            .append("cOther", getcOther())
            .append("explain", getExplain())
            .toString();
    }
}
